//
// Created by trotfunky on 05/02/24.
//

#ifndef RAYCASTING_FRAMETRACING_H
#define RAYCASTING_FRAMETRACING_H

/*
 * Basic wrapper to allow enabling and disabling frame tracing using
 * Tracy.
 * https://github.com/wolfpld/tracy
 */
#ifdef TRACE_FRAMES
	#include "tracy/Tracy.hpp"
	#define FTrace_FrameMark FrameMark
	#define FTrace_Scope ZoneScoped
	#define FTrace_NamedScope(name) ZoneScopedN(name)
#else
	#define FTrace_FrameMark
	#define FTrace_Scope
	#define FTrace_NamedScope(name)
#endif /* TRACE_FRAMES */

#endif //RAYCASTING_FRAMETRACING_H
